Enable Threat Feed
Enables the specified threat intelligence feed.
Required Permissions
Requires the Cluster Administrator role or an account with the threat intelligence management permission.
HTTP Request
POST /api/sonar/threat-feeds/enable
cURL Example
curl -H "Authorization: Bearer <API_KEY>" -XPOST \
-d name=<FEED_NAME> \
https://HOSTNAME/api/sonar/threat-feeds/enable
Request Parameters
| Key | Required | Type | Description | Notes |
|---|---|---|---|---|
| name | Y | String | Threat intelligence feed name |
Success Response
HTTP status code 200 response
{}
Error Responses
name parameter is missing
HTTP status code 400
{
"error_code": "null-argument",
"error_msg": "name should be not null"
}
Feed identifier is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "threat-feed-not-found"
}
Permission denied
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}